#!/usr/bin/env zsh
TEMPDIR=`mktemp -d testgen.tmp.XXX`
echo $TEMPDIR
echo $1
echo $TEMPDIR/realtest.ml

CLASSPATH="/usr/local/Cellar/antlr/3.2/antlr-3.2.jar:.:TptpParser.jar" ./timeout3 -t 30 java -ea tptp_tester -I ~/TPTP-v5.1.0/ $1 > $TEMPDIR/realtest.ml

if [[ $? == 0 ]]; then
  cp *.ml $TEMPDIR
  cp timeout3 $TEMPDIR
  cd $TEMPDIR
  ./timeout3 -t 30 ocaml init.ml || (cd .. && rm -r $TEMPDIR && exit 1)
  for i in *.maude
  echo -n "--- Time Taken: " >> $i
  ./timeout3 -t 300 ~/maude/maude.intelDarwin $i > output
  if [[ $? == 0 ]]; then
     cp $i ..
     sed -i "" 's/^load \.\.\//load /' ../$i
     grep rewrites output >> ../$i
     if (grep Status $1 | grep Theorem > /dev/null); then
       echo "--- Answer should be: True" >> ../$i
     else
       echo "--- Answer should be: False" >> ../$i
     fi
     if (grep "^  empty -> empty,$" output > /dev/null); then
       echo "--- Answer was: True" >> ../$i
     else
       echo "--- Answer was: False" >> ../$i
     fi
     tail -n 2 ../$i
  fi
  cd ..
fi

rm -r $TEMPDIR
